You are not logged in.

#1 2013-04-06 13:31:05

yochaigal
Member
From: Boston
Registered: 2011-02-06
Posts: 157

Automake failures for multiple packages

Hello all.  As I'm sure most of you know, upgrading to automake 1.13 breaks the compilation process for a lot of packages -  see here for more.
Currently, I cannot build quite a few packages without rewriting PKBUILDs (something I can do) and actually making changes to configure scripts (way over my head). Could I please have some help?
As an example, let's use mate-conf from AUR.  Here is the output.
Rather than list all of the things I've tried (including falling back to automake/aclocal-1.11) can someone tell me what THEY would do?
I have quite a few packages with similar issues - but I think if I can learn to fix this issue I can get to those on my own.

Thanks for your help!

Yochai

Offline

#2 2013-04-06 15:10:53

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,160

Re: Automake failures for multiple packages

try running autoreconf -vfi just before ./configure .
This command attempts to recreate all autotools files to work with the new autotools version.

(the official mesa package also uses it)


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#3 2013-04-06 15:12:29

yochaigal
Member
From: Boston
Registered: 2011-02-06
Posts: 157

Re: Automake failures for multiple packages

Wait, should I add this to the PKGBUILD script or should I try manually running it from the build directory?

Offline

#4 2013-04-06 15:19:51

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 4,160

Re: Automake failures for multiple packages

yochaigal wrote:

Wait, should I add this to the PKGBUILD script or should I try manually running it from the build directory?


put it in the PKGBUILD, immediately before the ./configure line .

here's an example, check line 31 to 33 of https://projects.archlinux.org/svntogit … kages/mesa .


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#5 2013-04-06 20:06:08

yochaigal
Member
From: Boston
Registered: 2011-02-06
Posts: 157

Re: Automake failures for multiple packages

Actually, this PKGBUILD doesn't use a ./configure - nevertheless, I put  autoreconf -vfi in front of the "autogen.sh" section - no change.

Offline

#6 2013-04-07 20:53:25

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 997

Re: Automake failures for multiple packages

Well, automake tells you waht to do:

aclocal-1.13: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:39: error: 'AM_PROG_CC_STDC': this macro is obsolete.
    You should simply use the 'AC_PROG_CC' macro instead.
    Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
    but upon 'ac_cv_prog_cc_stdc'.

Patch the configure.in accordingly, ask upstream to do so or use automake-1.12

Offline

#7 2013-04-07 23:55:34

yochaigal
Member
From: Boston
Registered: 2011-02-06
Posts: 157

Re: Automake failures for multiple packages

Right, my initial post said that I have a bunch of these out-of-date packages from the AUR (at least, as far as automake is concerned) and I haven't been able to patch them properly (my own ignorance).
I've also completely fallen back to earlier versions of automake, and have run into other errors.
I was really hoping for a one-liner I could add to the PKGBUILD that would allow packages from the AUR built for older versions to compile with a newer automake.

Offline

#8 2013-04-08 00:16:34

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,788

Re: Automake failures for multiple packages

you already use sed in the PKGBUILD you linked to, just use it here as well.

sed -i 's/AM_PROG_CC_STDC/AC_PROG_CC/;s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.in

Online

#9 2013-04-08 00:20:46

tdy
Member
From: Sacremende
Registered: 2008-12-14
Posts: 438

Re: Automake failures for multiple packages

yochaigal wrote:

I was really hoping for a one-liner

Not tested, so no guarantees. Based on what stefan posted, this should work.

sed -i 's/\(AM_PROG_CC\)_STDC/\1/g' configure.in

Note that this isn't some sort of universal sed that will work for all autoconf situations..


dots (or just the awesomewm config)

$ whatis this?
this?: nothing appropriate.

Offline

#10 2013-04-08 00:36:58

yochaigal
Member
From: Boston
Registered: 2011-02-06
Posts: 157

Re: Automake failures for multiple packages

First let me say thanks!

I added your sed command to the PKGBUILD, right before autogen.sh - here is my output (new error):

Running autoconf...
configure.in:39: error: possibly undefined macro: AM_PROG_CC
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
==> ERROR: A failure occurred in build().
    Aborting...

Offline

#11 2013-04-08 00:50:06

brebs
Member
Registered: 2007-04-03
Posts: 3,407

Re: Automake failures for multiple packages

Mageia has upgraded to the let's-break-things-because-we-can automake 1.13, so quite a few of their packages have automake patches.

Offline

#12 2013-04-08 03:23:22

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,788

Re: Automake failures for multiple packages

tdy wrote:
yochaigal wrote:

I was really hoping for a one-liner

Not tested, so no guarantees. Based on what stefan posted, this should work.

sed -i 's/\(AM_PROG_CC\)_STDC/\1/g' configure.in

Note that this isn't some sort of universal sed that will work for all autoconf situations..

Won't work. Look at the macro names again (AC vs AM).

brebs wrote:

Mageia has upgraded to the let's-break-things-because-we-can automake 1.13, so quite a few of their packages have automake patches.

let's-break-things-because-we-can? You realize that these macros were depreciated in 2002? How long are they supposed to carry them?

Last edited by Scimmia (2013-04-08 03:26:02)

Online

#13 2013-04-08 04:22:09

brebs
Member
Registered: 2007-04-03
Posts: 3,407

Re: Automake failures for multiple packages

Another 100 years would be just fine. If it's worked fine for over 10 years, that actually isn't a reason to break it now. Software ain't androids, and doesn't need an arbitrary limiting lifespan wink

I love how Fedora just patches them back in, in automake-1.13.1-reenable-disabled-macros.patch

The word is "deprecated" - "depreciation" is for money.

Offline

#14 2013-04-08 04:30:00

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,788

Re: Automake failures for multiple packages

brebs wrote:

Another 100 years would be just fine. If it's worked fine for over 10 years, that actually isn't a reason to break it now. Software ain't androids, and doesn't need an arbitrary limiting lifespan wink

Ah, you're one of those. You were probably really upset with the kernel dropping support for the 386, too, right? smile

Online

#15 2013-04-08 04:42:50

tdy
Member
From: Sacremende
Registered: 2008-12-14
Posts: 438

Re: Automake failures for multiple packages

Scimmia wrote:
tdy wrote:
yochaigal wrote:

I was really hoping for a one-liner

Not tested, so no guarantees. Based on what stefan posted, this should work.

sed -i 's/\(AM_PROG_CC\)_STDC/\1/g' configure.in

Note that this isn't some sort of universal sed that will work for all autoconf situations..

Won't work. Look at the macro names again (AC vs AM).

ah yea oops, misread


dots (or just the awesomewm config)

$ whatis this?
this?: nothing appropriate.

Offline

Board footer

Powered by FluxBB